<!DOCTYPE html>
<html id="html">
	<head>
		<meta charset="utf-8" />
        <title>Questionnaire fin</title>
		<link rel="stylesheet" type="text/css" href="style/style.css">
		<script type="text/javascript" src="script/scripts.js"></script>
        <script type="text/javascript" src="script/jsweetalert.js"></script>
        <link rel="stylesheet" type="text/css" href="style/style_sweetalert.css">
        <?php Include('script/rotation.php'); ?>
	</head>

	<body  onload="retourne();"><!-- Il faut ajouter l'appelle a la fonction retourne au chargement de la page pour eviter un bug d'appui sur le bouton -->
		<div id="entete">
			<img src="img/accueil.png" class="bouton_entete" onclick="self.location.href='index.php'">
			<img src="img/rotation.png" class="bouton_entete" onclick="retourne()">
			<p id="titre">
				<!-- Titre de la page affichee dans l'entete -->
				Questionnaire fin
			</p>
			<img src="img/aide.png" class="bouton_entete_help" onclick="swal('Aide', 'blablabla','info');">
		</div>
		<div id="contenu">
			<!-- Le contenu doit etre écrit ci-dessous -->
		    <?php
    			error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
    			Include('../database.params.inc.php');
    			$link = pg_connect("host=$machine user=$user password=$pwd dbname=$db")or die("Erreur de Connection !<br />".pg_last_error()) ;

    			$formation = $_POST['formation'];
    			$professeur = $_POST['professeur'];
				$alternant = $_POST['alternant'];
				$annee = $_POST['annee'];
				$nb_chx = $_POST['nb_chx'];
    				


    			for ($z=1 ; $z <= $nb_chx ; $z++) { 
                    if ( isset($_POST["chx".$z])) {
                    	${"chx".$z} = 1;
                    }
                    else {
                        ${"chx".$z} = 0;   
                    }
                }

                if ($chx6 == 1) {
                       $choix_autre = htmlentities(trim($_POST['choix_autre']), ENT_QUOTES);    
                }
                else {
                    $choix_autre = "";
                }	
    			
                if ( $formation!=""){

                	$query = "INSERT INTO QUESTIONNAIRE1 (formation, professeur, alternant, annee, chx1, chx2, chx3, chx4, chx5, chx6, choix_autre ) VALUES('$formation', '$professeur', '$alternant', '$annee', '$chx1', '$chx2', '$chx3', '$chx4', '$chx5', '$chx6', '$choix_autre' )";
                    $result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
                 
                    echo "Merci !<br> Redirection automatique ( 3s )";
                    header ("Refresh: 3;URL= index.php");

    			}
    			else {
    				header('Location: quest_1.php');
    				exit();
    			}
    		?>
		</div>
	</body>
</html>